import java.util.*;
import javax.persistence.*;
import javax.persistence.criteria.*;

public class TestCase {
 
    public static void main(String [] args){
 
        EntityManagerFactory emf =
            Persistence.createEntityManagerFactory(
                "objectdb:test.tmp;drop");
        EntityManager em = emf.createEntityManager();
 
        em.getTransaction().begin();
        MyEntity myentity = new MyEntity();
        OtherEntity other = new OtherEntity();
        myentity.addOtherEntity(other);
        em.persist( myentity );
        em.getTransaction().commit();
 
        Query query = em.createQuery(
            "SELECT e FROM MyEntity e WHERE e.others IS EMPTY");
        System.out.println(query.getResultList().size());
 
        em.close();
        emf.close();
    }
}

@Entity
class MyEntity {
    @OneToMany(mappedBy="myentity")
    ArrayList<OtherEntity> others = new ArrayList<OtherEntity>();
                
    void addOtherEntity(OtherEntity other) {
        others.add(other);
    }   
}

@Entity
class OtherEntity {  
    @ManyToOne
    MyEntity myentity;         
}
